VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "VB Helper UK, MSComm Control Sample"
   ClientHeight    =   3750
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3750
   ScaleWidth      =   4680
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmrBetweenRings 
      Interval        =   5500
      Left            =   4050
      Top             =   690
   End
   Begin VB.Frame fraCallLog 
      Caption         =   "Call Log"
      Height          =   2340
      Left            =   90
      TabIndex        =   4
      Top             =   1320
      Width           =   4485
      Begin VB.ListBox lstCallLog 
         Height          =   2010
         Left            =   90
         TabIndex        =   5
         Top             =   240
         Width           =   4305
      End
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Don't monitor rings"
      Enabled         =   0   'False
      Height          =   435
      Left            =   2280
      TabIndex        =   3
      Top             =   690
      Width           =   1605
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "Watchout for rings"
      Height          =   435
      Left            =   660
      TabIndex        =   2
      Top             =   690
      Width           =   1605
   End
   Begin VB.ComboBox cmbComms 
      Height          =   315
      Left            =   3510
      Style           =   2  'Dropdown List
      TabIndex        =   1
      Top             =   90
      Width           =   900
   End
   Begin MSCommLib.MSComm CommMain 
      Left            =   15
      Top             =   585
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   -1  'True
   End
   Begin VB.Label lblCommPort 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Which COM port is your modem connected to:"
      Height          =   195
      Left            =   165
      TabIndex        =   0
      Top             =   120
      Width           =   3270
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'######################################################################
'                    This example was written by Grant French of VB Helper UK
'                         Contact Info: E-Mail: grant.french@libertysurf.co.uk
'                                                 ICQ: 33122184
'######################################################################

Private Sub cmdClose_Click()
'Set the states of the two command buttons so the user can only open the connection
'     and not close it again.

      cmdOpen.Enabled = True
      cmdClose.Enabled = False
      
'Close the com port
      CommMain.PortOpen = False
      
End Sub

Private Sub cmdOpen_Click()
'Set the states of the two command buttons so the user can only open the connection
'     and not close it again.

      cmdOpen.Enabled = False
      cmdClose.Enabled = True
      
'Get the number of the com port that the user has selected
      CommMain.CommPort = Val(Right$(cmbComms.Text, 1))

'Open the com port
      CommMain.PortOpen = True
End Sub

Private Sub CommMain_OnComm()
If CommMain.CommEvent = comEvRing Then 'Check if a ring has been detected
      'If it has then check if 5 1/2 seconds has passed since the last ring was detected
      If tmrBetweenRings.Enabled = True Then
            'If i has not been more than 5 1/2 seconds since the last ring then reset the counter
            tmrBetweenRings.Enabled = False
            tmrBetweenRings.Enabled = True
      Else
            'If i has been more than 5 1/2 seconds since the last ring then add the call to the list
            tmrBetweenRings.Enabled = True
            lstCallLog.AddItem "Ring detected at " & Time$ & " on " & Date$
      End If
End If
End Sub

Private Sub Form_Load()

'Make a list of com ports that the modem may be connected to
cmbComms.AddItem "COM1"
cmbComms.AddItem "COM2"
cmbComms.AddItem "COM3"
cmbComms.AddItem "COM4"
cmbComms.AddItem "COM5"

'Set the default value of the list (combo box) to COM2 (the most common modem port)
cmbComms.Text = "COM2"
End Sub

Private Sub Form_Terminate()
'My little addition to all VBHelper UK projects i write
msg = MsgBox("If you have any more queries, please contact me by:" & vbCrLf & vbCrLf & "E-Mail: grant.french@libertysurf.co.uk" & vbCrLf & "ICQ: 33122184", vbInformation, "Queries?")
End Sub

Private Sub tmrBetweenRings_Timer()
'To show the code that 5 1/2 Seconds is up disable the timer
tmrBetweenRings.Enabled = False
End Sub


